[section="single-collection"] {
  display: grid;
  gap: var(--spacing-12);

  /* Head */
}

[section="single-collection"] .collection-head {
    min-height: 164px;
    padding: var(--spacing-40) var(--spacing-64);
    border-radius: var(--radius-md);
    background-color: var(--color-surface-container-low);
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: var(--spacing-16);
  }

:is([section="single-collection"] .collection-head) .title {
      font: var(--font-headline-md);
    }

:is([section="single-collection"] .collection-head) .description {
      opacity: 0.8;
      text-wrap: balance;
    }

:is([section="single-collection"] .collection-head) .links {
      display: flex;
      gap: var(--spacing-16);
      flex-wrap: wrap;
    }

:is(:is([section="single-collection"] .collection-head) .links) [ui-link] {
        color: var(--color-on-background);
      }

/* Path */

[section="single-collection"] .collection-path {
    display: grid;
    gap: var(--spacing-12);
    grid-template-columns: 56px auto auto;
  }

:is([section="single-collection"] .collection-path) [ui-button]:not(:first-child) {
      justify-content: space-between;
    }

/* Core */

[section="single-collection"] .collection-core {
    display: grid;
    gap: var(--spacing-12);

    /* Products */
  }

:is([section="single-collection"] .collection-core) .collection-products {
      display: grid;
      gap: var(--spacing-12);
      grid-template-columns: repeat(4, 1fr);
    }

/* Responsive */
@media (max-width: 1024px) {
    [section="single-collection"] .collection-head {
      min-height: 100px;
      padding: var(--spacing-14) calc(var(--spacing-24) - var(--spacing-2));
    }
      :is([section="single-collection"] .collection-core) .collection-products {
        grid-template-columns: repeat(2, 1fr);
      }
}

@media (max-width: 769px) {
    [section="single-collection"] .collection-path {
      grid-template-columns: 1fr;
    }

      :is([section="single-collection"] .collection-path) > [ui-button]:first-child {
        width: 100%;
        justify-content: start;
      }
}
